CREATE TABLE [dbo].[RankFactors]
(
	[RankId] INT NOT NULL , 
    [Code] NCHAR(10) NOT NULL, 
    [Weight] NUMERIC(18, 9) NOT NULL DEFAULT 0, 
    [Factor] NUMERIC(18, 9) NOT NULL DEFAULT 1.0, 
    [MeasurementUnit] NVARCHAR(40) NULL, 
    [Comments] NVARCHAR(200) NULL, 
    PRIMARY KEY ([RankId], [Code])
)

